E-MailRelay

Public Member Functions | List of all members
GNet::Listener Class Referenceabstract

An interface for a network listener. More...

`#include <glistener.h>`

Inheritance diagram for GNet::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual Address | address () const =0
| Returns the listening address. More...

## Detailed Description

An interface for a network listener.

See also
  GNet::Server, GNet::Monitor

Definition at line 36 of file glistener.h.

## Member Function Documentation

## ◆ address()

virtual Address GNet::Listener::address | ( |  | ) | const
| pure virtual

Returns the listening address.

Implemented in GNet::Server.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/glistener.h